Subject: [manet] About MANET CBR simmulation

From: "Yasuyuki Nishibayashi" <[email-masked]>
Date: Thu, 20 Jun 2002 12:05:02 +0900

Dear, MANET mailinglist users.
I'm a graduate student of Waseda university (Japan),
and researching about MANET routing protocols.
My name is Yasuyuki Nishibayashi.

I simulated the AODV protocol with the use of ns-2.1b9.
(Number of nodes is 50, 10 traffic sources.
1500*300 topology, and pause time is 60 seconds.)
But I found the strange result from the simulation.

I wrote the two traffic patterns like below.

(pattern1)
using Application/Traffic/CBR Agent

$cbr set PacketSize_ 500
$cbr set interval_ 0.25

This means transmission rate is 16Kbps.

(pattern2)
using Application/Traffic/CBR Agent

$cbr set PacketSize_ 512
$cbr set rate_ 16Kb

This also means transmission rate is 16Kbps.
(The agent send a packet every 0.256 seconds.)

There is an indiscencible difference between two patterns.
But the simulation results are eye-opening differences.
Please look at the link below.
(4 hop away pairs.)
The Green is pattern1,and the Red is pattern2.

http://www.katto.comm.waseda.ac.jp/~nishiba/test.jpg

In pattern1,the packet loss ratio is more than 30%,
although pattern2's loss ratio is only 2%.
It seems like no-route establishment for about 100 seconds
in pattern1 (from the ns-trace file).
Many packets were dropped and burst traffic was caused.

I've already read the several articles about MANET simulation.
("Performance Comparison of Two On-Demand Routing Protocols for Ad Hoc
Networks",
"A Performance Comparison of Multihop Wireless AdHoc Networks"..etc)
The simulation manner was clarified like "send 4packets per second ".
Could it be better using "sending X packets per seconds" 
than "setting rates"?
Setting rate (pattern2) is a wrong description?

Shall I ask your advices about this problem?

Thanks and Regards.

//Yasuyuki Nishibayashi
//Waseda Univ, Department of Communication and Information Engineering.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet